module com_varmilieu

   !&E
   !&E ** common pour definition des variables du milieu
   !&E
        
use parametres                                           
!---------------------------------------
! Caractristiques du milieu
!---------------------------------------
integer                                   :: npart,nsubp,nsub,nsubd
integer,dimension(:),allocatable          :: ipart_sub 
real(kind=rlg)                            :: c_MESt,temperaC,temperaK 
real(kind=rlg)                            :: uc,zc,ventc,salinite
real(kind=rlg),dimension(:),allocatable   :: vdepo,fpart,csub,cpart
real(kind=rlg),dimension(:),allocatable   :: fmest_sub,fpart_sub
character(len=lchain),dimension(:),allocatable :: name_sub
real(kind=rlg),dimension(:,:),allocatable     :: var_milieu
real(kind=rlg)                            :: valeur_ph 

!---------------------------------------
! Temps et ecriture resultat
!---------------------------------------
integer                                   :: necr_scenario
real(kind=rlg)                            :: t,dt,dt_ecr,echel_temps
real(kind=rlg)                            :: dt_ecr_scen
    
!---------------------------------------
!  Calcul des echanges et transfert 
!---------------------------------------
real(kind=rlg),dimension(:),allocatable     :: smass_vol
real(kind=rlg),dimension(:,:),allocatable   :: smass_part,smass_transf,smass_depo
real(kind=rlg),dimension(:,:),allocatable   :: smass_flout,smass_flin

!---------------------------------------
!  FLux et Volumes
!---------------------------------------
real(kind=rlg)                              :: vol_eau,surf_eau,flux_eau_inout
real(kind=rlg)                              :: conta_tot_in,cMESt_in,flux_MESt_in
real(kind=rlg)                              :: flux_espech_in,flux_contat_in
real(kind=rlg),dimension(:),allocatable     :: c_sub_in,fpart_in,flux_part_in
real(kind=rlg),dimension(:),allocatable     :: flux_sub_in,flux_espne_in
real(kind=rlg),dimension(:),allocatable     ::flux_espci_in

end module com_varmilieu
