  SUBROUTINE init_nml

   !&E---------------------------------------------------------------------
   !&E                 ***  ROUTINE init_nml  ***
   !&E
   !&E ** Purpose : Read namelists and initialize most of the parameters
   !&E
   !&E---------------------------------------------------------------------
   !! * Modules used
USE parametres
USE com_morgan
#ifdef key_moco
  USE com_moco
#endif
USE com_varmilieu

   IMPLICIT NONE

   !! * Arguments

   !! * Local declarations
   CHARACTER(LEN=lchain) :: filepc,name_file_res2,name_file_res1
   LOGICAL               :: l_domnl_lu
   !! * define namelists

   ! namelists in start.txt
   !--------------------------

NAMELIST/nmlchoix/ l_mode1c
NAMELIST/nmlvarmilsens/ name_conta,name_fileconta,name_file_varmilsens,name_file_res1
NAMELIST/nmlcontasens/ name_conta,name_fileconta,name_file_varmilfix,name_file_res2
#ifdef key_moco
NAMELIST/nmlmoco/ l_moco_op,l_verifequ,nsitmoco_max, &
                    seuil_mes,l_competcat,l_echgcat
#endif

  !!----------------------------------------------------------------------
   !! * Executable part

   ! --------------
   ! Read namelists
   ! --------------

   filepc='./start.txt'
   OPEN(50,file=filepc,status='old',form='formatted',access='sequential')
   READ(50,nmlchoix)
   if(l_mode1c)then
     READ(50,nmlvarmilsens)
     name_file_res=name_file_res1
   else
     READ(50,nmlcontasens)
     name_file_res=name_file_res2
   endif
#ifdef key_moco
   READ(50,nmlmoco)
#endif
   CLOSE(50)


END SUBROUTINE init_nml
