module parametres
!
!------------------------------------------------------------------------------
!
integer,parameter          :: riosh=4,riolg=8,rlg=8,rsh=4,lchain=100
!
real(kind=rlg),parameter          :: epsnl=1.d-10


#ifdef key_moco
integer,parameter          :: ndequ=20
integer,parameter          :: ndw=6*ndequ
real(kind=rlg),parameter          :: p1=0.1d+00
real(kind=rlg),parameter          :: p001=1.0d-3
real(kind=rlg),parameter          :: p0001=1.0d-4
real(kind=rlg),parameter          :: zero=0.0d0
real(kind=rlg),parameter          :: one=1.0d0
real(kind=rlg),parameter          :: rdwarf=3.834d-20
real(kind=rlg),parameter          :: rgiant=1.304d+19
real(kind=rlg),parameter          :: p05=5.0d-2
real(kind=rlg),parameter          :: p5=5.0d-1
real(kind=rlg),parameter          :: p25=2.5d-1
real(kind=rlg),parameter          :: p75=7.5d-1
real(kind=rlg),parameter          :: factor=1.0d2
real(kind=rlg),parameter          :: xfarad=9.6485e+04
real(kind=rlg),parameter          :: xfaradn=9.6485e-05
! xfarad=10-9 faraday= 9.6485e+04 C=charge d'une mole *1.e-9 charge d'une nmole
real(kind=rlg),parameter          :: tol=1.d-5

! constantes d equilibre pour reactions avec ligands dissous
!si ligand dissous Thiol: Cte equilibre de la reaction RSH+RS- =1.e-08
real(kind=rlg),parameter          :: xkathiol=1.e-08
!si ligand CO3  : Cte equilibre de la reaction CO3 =   10.,-9.23
real(kind=rlg),parameter          :: xkaCO3=5.88844e-10
!si ligand sulfures dissous  : Cte equilibre de la premire reaction K1S ='10,-6.67
real(kind=rlg),parameter          :: xka1S=2.13796e-7
!si ligand sulfures dissous  : Cte equilibre de la seconde reaction K2S =',10,-13.6
real(kind=rlg),parameter          :: xka2S=2.51189e-14
!si ligand MOD carboxylique  : Cte equilibre KaLcarb      =',10,-4.5
real(kind=rlg),parameter          :: xkaLcarb=3.16228e-5
!si ligand MOD phenolique    : Cte equilibre KaLphen      =',10,-7
real(kind=rlg),parameter          :: xkaLphen=1.e-7

#endif
!
!------------------------------------------------------------------------------
!
end module parametres
