module com_moco

   !&E
   !&E ** common pour calcul en fonction du temps avec differentes reactions
   !&E **    pour cl MOCO
   !&E
#ifdef key_moco                                          

USE parametres                                              

logical                                   ::  l_moco_op,l_group_espdmoc,l_verifequ
character(len=lchain),dimension(:),allocatable  :: nom_phase,nom_lig,nom_lig_esp
character(len=lchain),dimension(:),allocatable  :: nom_espdmoco
character(len=lchain)                       :: name_sub_echcompcat
integer                                     :: icharlib,isub_echcompcat,iesp_echgcat
integer                                     :: nphasp,nsitmoco_max,nsubsit
integer                                     :: nesp_diss_moco,nlig,nligin,nligor
integer,dimension(:),allocatable            :: nsit,iespd_moco,nsubsi,iespp_moco
integer,dimension(:,:),allocatable          :: ika1,ityp_sit,idcharm,idcharc
integer,dimension(:,:,:),allocatable        :: idchars
integer,dimension(:),allocatable            :: ichare,icharl,idchar2m
integer,dimension(:),allocatable            :: isub_lig,isub_phase,ilig_esp
real(kind=rlg)                              :: seuil_mes,xactl1,xactl2,xcorsurf
real(kind=rlg),dimension(:),allocatable     :: xfactl,xfacth_esp,xfacth_som,xfacth_subd
real(kind=rlg),dimension(:,:),allocatable   :: xequms,sitac
real(kind=rlg),dimension(:),allocatable     :: xequ,ssp,xk2rsh
real(kind=rlg),dimension(:),allocatable     :: xinit,xactl
real(kind=rlg),dimension(:,:),allocatable   :: xequa1,xequa2

!---------------------------------------
!  catcomp
!---------------------------------------
character(len=lchain)                         :: nom_cat
integer                                       :: icharcat
logical                                       :: l_competcat,l_echgcat
real(kind=rlg)                                :: xequcat,xequmet,cec
real(kind=rlg),dimension(:,:),allocatable     :: xequcs

!---------------------------------------
!  ligspec
!---------------------------------------
integer                                       :: ilisal,iliph,ilithiold,ilico3,ilisulf
integer                                       :: ilimodcarb,ilimodphen,ilithiolp
real(kind=rlg)                                :: ccat
real(kind=rlg),dimension(:,:),allocatable     :: cphas,clig
real(kind=rlg),dimension(:),allocatable       :: actHplus

!---------------------------------------
! sensibilite aux parametres
!---------------------------------------
real(kind=rlg),dimension(:,:,:),allocatable   :: xequa1v,xequa2v,xequmsv,sitacv
real(kind=rlg),dimension(:,:),allocatable     :: sspv

!---------------------------------------
! complexation avec thiol particulaire
!---------------------------------------
!character(len=lchain)                         :: name_sub_thiol
!logical                                       :: l_thiolpart
!integer                                       :: iesp_thiol_mono,iesp_thiol_bi
!integer                                       :: isub_thiolpart
!real(kind=rlg)                                :: xkathiolp,xequRSHg,xequR2SHg,cthiolpart

#endif  
!
end module com_moco
